Package com.independentsoft.office.word

# Enum Class UnderlinePattern

java.lang.Object
java.lang.Enum<UnderlinePattern>
com.independentsoft.office.word.UnderlinePattern

All Implemented Interfaces:
  `Serializable`, `Comparable<UnderlinePattern>`, `Constable`

public enum UnderlinePattern extends Enum<UnderlinePattern>
The Enum UnderlinePattern.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DASH_DOT`
  `DASH_DOT_DOT`
  `DASHED`
  `DOTTED`
  `DOUBLE`
  `DOUBLE_WAVE`
  `HEAVY_WAVE`
  `LONG_DASHED`
  `NON_SPACE_CHARACTERS_ONLY`
  `NONE`
  `SINGLE`
  `THICK`
  `THICK_DASH_DOT`
  `THICK_DASH_DOT_DOT`
  `THICK_DASHED`
  `THICK_DOTTED`
  `THICK_LONG_DASHED`
  `WAVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnderlinePattern`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnderlinePattern[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DASHED

    public static final UnderlinePattern DASHED

  - ### THICK_DASH_DOT_DOT

    public static final UnderlinePattern THICK_DASH_DOT_DOT

  - ### THICK_DASH_DOT

    public static final UnderlinePattern THICK_DASH_DOT

  - ### THICK_DASHED

    public static final UnderlinePattern THICK_DASHED

  - ### LONG_DASHED

    public static final UnderlinePattern LONG_DASHED

  - ### THICK_LONG_DASHED

    public static final UnderlinePattern THICK_LONG_DASHED

  - ### DASH_DOT

    public static final UnderlinePattern DASH_DOT

  - ### DASH_DOT_DOT

    public static final UnderlinePattern DASH_DOT_DOT

  - ### DOTTED

    public static final UnderlinePattern DOTTED

  - ### THICK_DOTTED

    public static final UnderlinePattern THICK_DOTTED

  - ### DOUBLE

    public static final UnderlinePattern DOUBLE

  - ### NONE

    public static final UnderlinePattern NONE

  - ### SINGLE

    public static final UnderlinePattern SINGLE

  - ### THICK

    public static final UnderlinePattern THICK

  - ### WAVE

    public static final UnderlinePattern WAVE

  - ### DOUBLE_WAVE

    public static final UnderlinePattern DOUBLE_WAVE

  - ### HEAVY_WAVE

    public static final UnderlinePattern HEAVY_WAVE

  - ### NON_SPACE_CHARACTERS_ONLY

    public static final UnderlinePattern NON_SPACE_CHARACTERS_ONLY

- ## Method Details

  - ### values

    public static UnderlinePattern[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnderlinePattern valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null